import { Provider } from '@loopback/context';
import { VerifyFunction } from 'loopback4-authentication';
import { UserCredentialsRepository, UserRepository } from '../../../repositories';
import { KeyCloakPostVerifyFn, KeyCloakPreVerifyFn, KeyCloakSignUpFn } from '../../../providers/types';
export declare class KeycloakVerifyProvider implements Provider<VerifyFunction.KeycloakAuthFn> {
    userRepository: UserRepository;
    userCredsRepository: UserCredentialsRepository;
    private readonly signupProvider;
    private readonly preVerifyProvider;
    private readonly postVerifyProvider;
    constructor(userRepository: UserRepository, userCredsRepository: UserCredentialsRepository, signupProvider: KeyCloakSignUpFn, preVerifyProvider: KeyCloakPreVerifyFn, postVerifyProvider: KeyCloakPostVerifyFn);
    value(): VerifyFunction.KeycloakAuthFn;
}
