import { Provider } from '@loopback/core';
import { ILogger } from '@sourceloop/core';
import { IAuthClient, IAuthUser } from 'loopback4-authentication';
import { UserPermissionsFn } from 'loopback4-authorization';
import { AuthClientRepository, RoleRepository, TenantConfigRepository, UserLevelPermissionRepository, UserRepository, UserTenantRepository } from '../repositories';
import { IDeviceInfo, JwtPayloadFn } from './types';
export declare class JwtPayloadProvider implements Provider<JwtPayloadFn> {
    private readonly authClientRepository;
    private readonly userRepo;
    private readonly roleRepo;
    private readonly utPermsRepo;
    private readonly userTenantRepo;
    private readonly tenantConfigRepo;
    private readonly getUserPermissions;
    private readonly logger;
    constructor(authClientRepository: AuthClientRepository, userRepo: UserRepository, roleRepo: RoleRepository, utPermsRepo: UserLevelPermissionRepository, userTenantRepo: UserTenantRepository, tenantConfigRepo: TenantConfigRepository, getUserPermissions: UserPermissionsFn<string>, logger: ILogger);
    value(): (authUserData: IAuthUser, authClient: IAuthClient, deviceInfo?: IDeviceInfo | undefined) => Promise<Object>;
    private _setLocale;
}
